if not PitBull4 then
	error("PitBull4_VengeanceText requires PitBull4")
end

local LuaTexts = PitBull4:GetModule("LuaTexts")
if not LuaTexts then
	error("PitBull4_VenganceText rquires LuaTexts")
end

local VengeanceSpell = GetSpellInfo(93098)

local tooltip = CreateFrame("GameTooltip", "VengeanceTextTooltip", nil, "GameTooltipTemplate")
tooltip:SetOwner(UIParent, "ANCHOR_NONE")

local function Vengance(unit)
	if UnitBuff(unit, VengeanceSpell) then
		tooltip:ClearLines()
		tooltip:SetUnitBuff(unit, VengeanceSpell)
		return tonumber(string.match(VengeanceTextTooltipTextLeft2:GetText() or "", "%d+")) or 0
	end
end
LuaTexts.ScriptEnv.Vengance = Vengance

local function VenganceMax(unit)
	return UnitHealthMax(unit) * 0.1
end
LuaTexts.ScriptEnv.VenganceMax = VenganceMax
